View Issue Details

IDProjectCategoryView StatusLast Update
0029490LazarusIDEpublic2016-02-11 00:10
ReporterRussel DirksAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows, LinuxOS Version
Product Version1.6RC1Product Build 
Target VersionFixed in Version1.7 (SVN) 
Summary0029490: Clicking in gutter does not always select the line
DescriptionIt usually takes two clicks in the line-number part of the gutter to select a line. The first click merely positions the cursor to the beginning of the line you clicked.

The exception to this is if text is selected elsewhere in the editor window. If that is the case, then the line you clicked on is immediately selected.
Steps To Reproduce1. Make sure text is not selected elsewhere in the editor window.
2. Click on the line-number part of the gutter to select a line.
3. The line does not 'appear' to be selected.
Additional InformationNotice I said in step 3 above that it does not 'appear' to be selected. I discovered by accident that it actually IS selected, you just can't see it.

For instance, try this:
1. Select a few lines of text into the clipboard from anywhere
2. Make sure text is not selected elsewhere in the editor window.
3. Click on the line-number part of the gutter to select a line.
4. The line does not 'appear' to be selected.
5. Press Ctrl-V to paste
6. Notice the original line is now gone and has been replaced by the text in the clipboard.

So the line actually was selected.
TagsNo tags attached.
Fixed in Revision51576
LazTarget1.6
Widgetset
Attached Files

Activities

Russel Dirks

2016-01-23 19:05

reporter   ~0089270

There is another nuance to this:

I said that the line is not selected on the first click. However, if you wait about 2 seconds, it then suddenly appears selected.

Martin Friebe

2016-02-10 17:36

manager   ~0089940

Should be fixed. Please test and close if ok

Russel Dirks

2016-02-11 00:10

reporter   ~0089947

Yep. Working good now.

Issue History

Date Modified Username Field Change
2016-01-23 18:59 Russel Dirks New Issue
2016-01-23 19:05 Russel Dirks Note Added: 0089270
2016-01-23 22:43 Martin Friebe Assigned To => Martin Friebe
2016-01-23 22:43 Martin Friebe Status new => assigned
2016-02-10 17:36 Martin Friebe Fixed in Revision => 51576
2016-02-10 17:36 Martin Friebe LazTarget => 1.6
2016-02-10 17:36 Martin Friebe Note Added: 0089940
2016-02-10 17:36 Martin Friebe Status assigned => resolved
2016-02-10 17:36 Martin Friebe Fixed in Version => 1.7 (SVN)
2016-02-10 17:36 Martin Friebe Resolution open => fixed
2016-02-11 00:10 Russel Dirks Note Added: 0089947
2016-02-11 00:10 Russel Dirks Status resolved => closed